Bug 205807 - [exp-run] Mk/Uses/python.mk: add more PLIST_SUB, rename PYOEXTENSION to PYTHON_PYOEXTENSION
Summary: [exp-run] Mk/Uses/python.mk: add more PLIST_SUB, rename PYOEXTENSION to PYTHO...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://reviews.freebsd.org/D4758
Keywords: patch-ready
Depends on:
Blocks: 206004
  Show dependency treegraph
 
Reported: 2016-01-02 20:06 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2017-01-07 21:55 UTC (History)
3 users (show)

See Also:
sunpoet: merge-quarterly?
sunpoet: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2016-01-02 20:06:36 UTC
- Update PLIST_SUB:
  - Add PYTHON_PYOEXTENSION and PYTHON_SUFFIX
  - Add PYTHON2 and PYTHON3
  - Respect PYTHON_VERSION
- Rename PYOEXTENSION to PYTHON_PYOEXTENSION

This change would help:
- Build databases/postgresql*-plpython with Python 3
  (It has PLIST issue since bsd.python.mk to Uses/python.mk transition)
- Build x11/xcb-proto with Python 3.5
- Simplify Makefile
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-06 18:05:00 UTC
Pending updated patch
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2016-12-31 18:44:03 UTC
Request exp-run for updated patch.
Comment 3 Antoine Brodin freebsd_committer 2017-01-07 21:11:08 UTC
Exp-run looks fine on 10.3 i386 and 11.0 amd64
Comment 4 commit-hook freebsd_committer 2017-01-07 21:42:45 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Jan  7 21:42:29 UTC 2017
New revision: 430839
URL: https://svnweb.freebsd.org/changeset/ports/430839

Log:
  Add more PLIST_SUB to Mk/Uses/python.mk

  - Add PYTHON_PYOEXTENSION and PYTHON_SUFFIX
  - Add PYTHON2 and PYTHON3
  - Respect PYTHON_VERSION
  - Rename PYOEXTENSION to PYTHON_PYOEXTENSION

  This change would help:
  - Build databases/postgresql*-plpython with Python 3
    (It has PLIST issue since bsd.python.mk to Uses/python.mk transition)
  - Simplify Makefile

  PR:		205807
  Differential Revision:	https://reviews.FreeBSD.org/D4758
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/python.mk
  head/accessibility/accerciser/Makefile
  head/accessibility/accerciser/pkg-plist
  head/accessibility/orca/Makefile
  head/accessibility/orca/pkg-plist
  head/accessibility/py3-atspi/Makefile
  head/accessibility/py3-atspi/pkg-plist
  head/accessibility/py3-speech-dispatcher/pkg-plist
  head/accessibility/speech-dispatcher/Makefile
  head/astro/weather/Makefile
  head/audio/gnome-music/Makefile
  head/audio/gnome-music/pkg-plist
  head/audio/rhythmbox/Makefile
  head/audio/rhythmbox/pkg-plist
  head/databases/postgresql92-server/pkg-plist-plpython
  head/databases/postgresql93-server/pkg-plist-plpython
  head/databases/postgresql94-server/pkg-plist-plpython
  head/databases/postgresql95-plpython/Makefile
  head/databases/postgresql95-server/pkg-plist-plpython
  head/databases/postgresql96-server/pkg-plist-plpython
  head/devel/gitg/Makefile
  head/devel/gitg/pkg-plist
  head/devel/py3-gobject3/pkg-plist
  head/devel/pygobject3-common/Makefile
  head/dns/bundy/Makefile
  head/dns/bundy/pkg-plist
  head/editors/gedit/Makefile
  head/editors/gedit/pkg-plist
  head/editors/gedit-plugins/Makefile
  head/editors/gedit-plugins/pkg-plist
  head/graphics/eog-plugins/Makefile
  head/graphics/eog-plugins/pkg-plist
  head/graphics/py3-cairo/Makefile
  head/graphics/py3-cairo/pkg-plist
  head/math/convertall/Makefile
  head/math/convertall/pkg-plist
  head/math/rpcalc/Makefile
  head/math/rpcalc/pkg-plist
  head/multimedia/py3-gstreamer1/Makefile
  head/multimedia/py3-gstreamer1/pkg-plist
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-01-07 21:55:48 UTC
Committed. Thanks!